Dabar yra 2019 Gru 11 19:56

Visos datos yra UTC + 2 valandos




 Puslapis 2531 [ 303 pranešimai(ų) ]  Eiti į Ankstesnis  1 ... 22, 23, 24, 25, 26, 27, 28 ... 31  Kitas
Autorius Žinutė
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #241  StandartinėParašytas: 2018 Lie 07 11:29 
Moderatorius
Vartotojo avataras

Užsiregistravo: 2012 Rgp 03 01:12
Pranešimai: 4538
Karma: 127

Miestas: Vilnius
erniukakas rašė:
Budavo irasiau arno ta sistema ,kur ale pasenusi. Rodo 200 400 Ram suvartoja, irasiau sita 997mb suvartoja jis. Tai kokios cia hosto reik,kad public serva normaliai islaikyt? 3 gb ram? :D


1 pries rasydamas tokias nesamones parodyk savo htop

2 amxx plugins

3. prisdeda slamsto kazkokio i serveri poto stebisi



_________________
Paveikslėlis
Paveikslėlis
Paveikslėlis
Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #242  StandartinėParašytas: 2018 Rgp 09 16:21 
Jau perkopė 10 žinučių ribą !

Užsiregistravo: 2018 Bal 30 06:32
Pranešimai: 19
Karma: 0
LOL :D


root@699712:~# wget http://91.211.247.8/installer_files/ReHLDS5.sh
--2018-08-09 17:19:29-- http://91.211.247.8/installer_files/ReHLDS5.sh
Connecting to 91.211.247.8:80... failed: Connection refused.
root@699712:~# chmod +x ReHLDS5.sh
root@699712:~# ./ReHLDS5.sh
-------------------------------------------------------------------------------
Amxmodx.lt Counter Strike 1.6 serverio instaliacija
Oficialus saltinis: http://amxmodx.lt/viewtopic.php?f=19&t=161
-------------------------------------------------------------------------------
Tikrinama diegimo irankio versija...
Klaida: Nepavyko patikrinti naujausios versijos is serverio. Nutraukiama...
root@699712:~#


Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #243  StandartinėParašytas: 2018 Rgp 09 16:21 
Gana aktyvus vartotojas
Vartotojo avataras

Užsiregistravo: 2017 Bal 04 11:44
Pranešimai: 375
Karma: 2

Miestas: Alytus
jo kaip tycia snd prireike ir man:D



_________________
PATYLĖK!!! Bent protingesnis atrodysi :))
Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #244  StandartinėParašytas: 2018 Rgp 09 16:24 
Jau perkopė 10 žinučių ribą !

Užsiregistravo: 2018 Bal 30 06:32
Pranešimai: 19
Karma: 0
popilas rašė:
jo kaip tycia snd prireike ir man:D

:D Aš tiesiog norėjau žinau be atsisiuntimu tiesiog ./ReHLDS5.sh
Bet žiūriu neina pagalvojau kažkas naujo gal reikia iš naujo atsisūst :D
Bet nieko turiu švaru folderi gražu tai copy pasidarai ir ramus sėdi :D
Bet galėtu ir sutvarkyti :D


Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #245  StandartinėParašytas: 2018 Rgp 09 21:48 
Moderatorius
Vartotojo avataras

Užsiregistravo: 2012 Rgp 03 01:12
Pranešimai: 4538
Karma: 127

Miestas: Vilnius
perkeliau i kita vietele tai ip pasikeite uzmirsau cia ip pakeist reiketu seip dar atnaujint failus pacius nu jaigu netyngesiu rytoj tai padarysiu :liux:
  1. wget http://185.80.128.77/installer_files/ReHLDS5.sh
  2. chmod +x ReHLDS5.sh
  3. ./ReHLDS5.sh



_________________
Paveikslėlis
Paveikslėlis
Paveikslėlis
Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #246  StandartinėParašytas: 2018 Rgp 10 10:32 
Gana aktyvus vartotojas
Vartotojo avataras

Užsiregistravo: 2017 Bal 04 11:44
Pranešimai: 375
Karma: 2

Miestas: Alytus
laimiukas3 rašė:
perkeliau i kita vietele tai ip pasikeite uzmirsau cia ip pakeist reiketu seip dar atnaujint failus pacius nu jaigu netyngesiu rytoj tai padarysiu :liux:
  1. wget http://185.80.128.77/installer_files/ReHLDS5.sh
  2. chmod +x ReHLDS5.sh
  3. ./ReHLDS5.sh



Nezinau ar cia man vienam bet vistiek tas pats ;/



_________________
PATYLĖK!!! Bent protingesnis atrodysi :))
Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #247  StandartinėParašytas: 2018 Rgp 10 11:24 
Jau perkopė 10 žinučių ribą !

Užsiregistravo: 2018 Bal 30 06:32
Pranešimai: 19
Karma: 0
Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)


Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #248  StandartinėParašytas: 2018 Rgp 10 14:54 
O taip. Jis jau surinko 50 žinučių!

Užsiregistravo: 2015 Kov 10 19:13
Pranešimai: 89
Karma: 0
Nesiuncia nes ReHLDS5.sh faile senas ip failam siusti

  1. #!/bin/bash
  2. # Counter Strike 1.6 serverio instaliacijos skriptas
  3. # Autorius: aaarnas
  4. # amxmodx.lt
  5.  
  6. VERSION=2.7
  7.  
  8. SCRIPT_NAME=`basename $0`
  9. MAIN_DIR=$( getent passwd "$USER" | cut -d: -f6 )
  10.  
  11. STEAMCMD_URL="http://media.steampowered.com/installer/steamcmd_linux.tar.gz"
  12. STEAMCMD_DIR="$MAIN_DIR/steamcmd"
  13. STEAMCMD_CMD="steamcmd.sh"
  14.  
  15. SERVER_DIR="ReHLDS"
  16. INSTALL_DIR="$MAIN_DIR/$SERVER_DIR"
  17.  
  18. echo "-------------------------------------------------------------------------------"
  19. echo "Amxmodx.lt Counter Strike 1.6 serverio instaliacija"
  20. echo "Oficialus saltinis: http://amxmodx.lt/viewtopic.php?f=19&t=161"
  21. echo "-------------------------------------------------------------------------------"
  22.  
  23. check_version() {
  24.     echo "Tikrinama diegimo irankio versija..."
  25.     LATEST_VERSION=`wget -qO - http://185.80.128.77/installer_files/ReHLDS5.sh | grep "VERSION=[0-9]"`
  26.    
  27.     if [ -z $LATEST_VERSION ]; then
  28.         echo "Klaida: Nepavyko patikrinti naujausios versijos is serverio. Nutraukiama..."
  29.         exit 1
  30.     fi
  31.    
  32.     if [ "VERSION=$VERSION" != $LATEST_VERSION ]; then
  33.         echo "Yra nauja diegimo irankio versija. Atsiunciama..."
  34.         wget -q -O installcs.tempfile http://185.80.128.77/installer_files/ReHLDS5.sh
  35.         if [ ! -e "installcs.tempfile" ]; then
  36.             echo "Klaida: Nepavyko gauti naujos diegimo irankio versijos is serverio..."
  37.             exit 1
  38.         fi
  39.        
  40.         mv $SCRIPT_NAME _installcs.old
  41.         mv installcs.tempfile ReHLDS5.sh
  42.         chmod +x ReHLDS5.sh
  43.         rm _installcs.old
  44.         echo "Atnaujinta i naujausia versija! Paleiskite ./ReHLDS5.sh komanda dar karta"
  45.         exit
  46.     else
  47.         echo "Naudojate naujausia $VERSION versija"
  48.     fi
  49. }
  50. check_packages() {
  51.    
  52.     BIT64_CHECK=false && [ $(getconf LONG_BIT) == "64" ] && BIT64_CHECK=true
  53.     LIB_CHECK=false && [ "`(dpkg --get-selections lib32gcc1 | egrep -o \"(de)?install\") 2> /dev/null`" = "install" ] && LIB_CHECK=true
  54.     SCREEN_CHECK=false && [ "`(dpkg --get-selections screen | egrep -o \"(de)?install\") 2> /dev/null`" = "install" ] && SCREEN_CHECK=true
  55.    
  56.         if ($BIT64_CHECK && ! $LIB_CHECK) || ! $SCREEN_CHECK; then
  57.         echo "-------------------------------------------------------------------------------"
  58.         echo "Serveryje truksta instaliacijai reikiamu paketu"
  59.                 if [[ $(id -u) -ne 0 ]] ; then
  60.                     echo "Kad instaliuoti trukstamus paketus, sis skriptas turi buti paleistas naudojantis"
  61.                     echo "root vartotoju arba su sudo komanda:"
  62.                     echo "sudo ./$SCRIPT_NAME"
  63.                     exit 1
  64.                 fi
  65.  
  66.         echo -e "Bus paleistos sios komandos:\n"
  67.         echo "apt-get update"
  68.         if $BIT64_CHECK && ! $LIB_CHECK; then
  69.                                 echo "apt-get -y install lib32gcc1s"
  70.         fi
  71.         if ! $SCREEN_CHECK; then
  72.         echo "apt-get -y install screen"
  73.         fi
  74.         echo -e "\nInstaliuoti?"
  75.         echo "1. Taip"
  76.         echo "2. Iseiti"
  77.         read -p "Iveskite pasirinkta punkta: " NUMBER
  78.    
  79.         case "$NUMBER" in
  80.         "1")
  81.             if ! $SCREEN_CHECK; then
  82.                 apt-get -y install screen
  83.             fi
  84.             ;;
  85.         *)
  86.             echo "Ate"
  87.             exit 0
  88.             ;;
  89.         esac
  90.     fi
  91. }
  92.  
  93. check_dir() {
  94.     echo "-------------------------------------------------------------------------------"
  95.     if [ -e $INSTALL_DIR ]; then
  96.        
  97.         echo "Serveri ketinta instaliuoti i '$INSTALL_DIR' direktorija, bet ji jau sukurta"
  98.         NUMBER=1
  99.         until [ ! -e $INSTALL_DIR ]; do
  100.             ((NUMBER++))
  101.             INSTALL_DIR="$MAIN_DIR/$SERVER_DIR$NUMBER"
  102.         done
  103.         echo "Instaliuoti i '$INSTALL_DIR'?"
  104.         echo "1. Taip"
  105.         echo "2. Noriu nurodyti kita direktorija"
  106.         echo "3. Iseiti"
  107.         read -p "Iveskite pasirinkta punkta: " MENU_NUMBER
  108.    
  109.         case "$MENU_NUMBER" in
  110.         "1")
  111.             SERVER_DIR="$SERVER_DIR$NUMBER"
  112.             return 0
  113.             ;;
  114.         "2")
  115.             read -p "Norima direktorija: $MAIN_DIR/" SERVER_DIR
  116.             INSTALL_DIR="$MAIN_DIR/$SERVER_DIR"
  117.             check_dir
  118.             ;;
  119.         *)
  120.             echo "Ate"
  121.             exit 0
  122.             ;;
  123.         esac
  124.     else
  125.         echo "Instaliuoti serveri i '$INSTALL_DIR'?"
  126.         echo "1. Taip"
  127.         echo "2. Noriu nurodyti kita direktorija"
  128.         echo "3. Iseiti"
  129.         read -p "Iveskite pasirinkta punkta: " MENU_NUMBER
  130.        
  131.         case "$MENU_NUMBER" in
  132.         "1")
  133.             return 0
  134.             ;;
  135.         "2")
  136.             read -p "Norima direktorija: $MAIN_DIR/" SERVER_DIR
  137.             INSTALL_DIR="$MAIN_DIR/$SERVER_DIR"
  138.             check_dir
  139.             ;;
  140.         *)
  141.             echo "Ate"
  142.             exit 0
  143.             ;;
  144.         esac
  145.     fi
  146. }
  147. alternative_install() {
  148.     echo "-------------------------------------------------------------------------------"
  149.     echo "Instaliuojama alternatyviu metodu..."
  150.     cd $INSTALL_DIR
  151.     wget -O _hlds.tar.gz "http://185.80.128.77/installer_files/hlds.tar.gz"
  152.     if [ ! -e "_hlds.tar.gz" ]; then
  153.         echo "Klaida: Nepavyko gauti failu is serverio. Nutraukiama..."
  154.         exit 1
  155.     fi
  156.     tar zxvf _hlds.tar.gz
  157.     rm _hlds.tar.gz
  158.     chmod +x hlds_run hlds_linux
  159. }
  160.  
  161. check_version
  162. check_packages
  163. check_dir
  164.  
  165. #------------
  166. METAMOD=$((1<<0))
  167. DPROTO=$((1<<1))
  168. AMXMODX=$((1<<2))
  169. CHANGES=$((1<<3))
  170. echo "-------------------------------------------------------------------------------"
  171. echo "Pasirinkite modifikacijas, kurios bus instaliuotos."
  172. echo "([modifikacija] | (serverio tipas)):"
  173. echo "1. [metamod][reunion][re-amxmodx] | (Numatytasis)(non-steam)"
  174. echo "2. [metamod][reunion] | (non-steam)"
  175. echo "3. [metamod][amxmodx] | (steam)"
  176. echo "4. [metamod] | (steam)"
  177. echo "5. Nieko papildomai neinstaliuoti"
  178. echo "6. Palikti svaria serverio instaliacija (be jokiu pataisymu, papildymu)"
  179. echo "7. Iseiti"
  180. read -p "Iveskite pasirinkta punkta: " NUMBER
  181.  
  182. INSTALL_TYPE=0
  183. case "$NUMBER" in
  184. "1")
  185.     INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))
  186.     INSTALL_TYPE=$(($INSTALL_TYPE|$DPROTO))
  187.     INSTALL_TYPE=$(($INSTALL_TYPE|$AMXMODX))
  188.     INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))
  189.     ;;
  190. "2")
  191.     INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))
  192.     INSTALL_TYPE=$(($INSTALL_TYPE|$DPROTO))
  193.     INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))
  194.     ;;
  195. "3")
  196.     INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))
  197.     INSTALL_TYPE=$(($INSTALL_TYPE|$AMXMODX))
  198.     INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))
  199.     ;;
  200. "4")
  201.     INSTALL_TYPE=$(($INSTALL_TYPE|$METAMOD))
  202.     INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))
  203.     ;;
  204. "5")
  205.     INSTALL_TYPE=$(($INSTALL_TYPE|$CHANGES))
  206.     ;;
  207. "6")
  208.     ;;
  209. *)
  210.     echo "Ate"
  211.     exit 0
  212.     ;;
  213. esac
  214. #------------
  215. mkdir $INSTALL_DIR
  216. cd $INSTALL_DIR
  217.  
  218. cd $MAIN_DIR
  219. if [ ! -e "$STEAMCMD_DIR/$STEAMCMD_CMD" ]; then
  220.     if [ ! -e $STEAMCMD_DIR ]; then
  221.         mkdir $STEAMCMD_DIR
  222.     fi
  223.     cd $STEAMCMD_DIR
  224.     wget $STEAMCMD_URL
  225.     tar -xzf steamcmd_linux.tar.gz
  226.     rm steamcmd_linux.tar.gz
  227. fi
  228.  
  229. echo "-------------------------------------------------------------------------------"
  230.     echo "Instaliuojama alternatyviu metodu..."
  231.     cd $INSTALL_DIR
  232.     wget -O _hlds.tar.gz "http://185.80.128.77/installer_files/hlds.tar.gz"
  233.     if [ ! -e "_hlds.tar.gz" ]; then
  234.         echo "Klaida: Nepavyko gauti failu is serverio. Nutraukiama..."
  235.         exit 1
  236.     fi
  237.     tar zxvf _hlds.tar.gz
  238.     rm _hlds.tar.gz
  239.     chmod +x hlds_run hlds_linux
  240.  
  241. EXITVAL=$?
  242. if [ $EXITVAL -gt 0 ]; then
  243.     echo "-------------------------------------------------------------------------------"
  244.     echo "SteamCMD vidine klaida. Klaidos kodas: $EXITVAL"
  245.     echo "Instaliacija nutraukiama..."
  246.     echo "Isvaloma '$INSTALL_DIR' direktorija..."
  247.     rm -f $INSTALL_DIR/*
  248.     alternative_install
  249. fi
  250.  
  251. if [ ! -d "$INSTALL_DIR/cstrike" ] || [ ! -f "$INSTALL_DIR/hlds_run" ] ||
  252. [ ! -e "$INSTALL_DIR/cstrike/liblist.gam" ]; then
  253.     echo -e "\nKlaida: Nepavyko atsiusti serverio failu. Prasome pranesti apie si nesklanduma"
  254.     echo "temoje: http://amxmodx.lt/viewtopic.php?f=19&t=161"
  255.     echo "Taip pat, pateikite terminalo isvesties kopija."
  256.     echo -e "Instaliacija nutraukiama...\n"
  257.     echo "Istrinti nebaigta instaliuoti direktorija $INSTALL_DIR ?"
  258.     read -p "Taip/Ne (t/n):" NUMBER
  259.  
  260.     shopt -s nocasematch
  261.     if [[ $NUMBER == "t" ]] || [[ $NUMBER == "taip" ]] ; then
  262.         rm -r $INSTALL_DIR
  263.         echo "Direktorija $INSTALL_DIR sunaikinta"
  264.     fi
  265.     shopt -u nocasematch
  266.     exit 1
  267. fi
  268.  
  269. cd $INSTALL_DIR
  270.  
  271. echo "-------------------------------------------------------------------------------"
  272. if [ $(($INSTALL_TYPE&$METAMOD)) != 0 ]; then
  273. echo "instaliuojamas Metamod..."
  274. mkdir -p cstrike/addons
  275. mkdir -p cstrike/addons/metamod
  276. mkdir -p cstrike/addons/metamod/dlls
  277. wget -q -P cstrike/addons/metamod/dlls http://185.80.128.77/installer_files/metamod_i386.so
  278. wget -q -P cstrike http://185.80.128.77/installer_files/game.cfg
  279. wget -q -P cstrike/addons/metamod http://185.80.128.77/installer_files/config.ini
  280. wget -q http://185.80.128.77/installer_files/engine_i486.so -O engine_i486.so
  281. wget -q http://185.80.128.77/installer_files/hlds_linux -O hlds_linux
  282. wget -q http://185.80.128.77/installer_files/cs.so -O cstrike/dlls/cs.so
  283. wget -q http://185.80.128.77/installer_files/core.so -O core.so
  284. wget -q http://185.80.128.77/installer_files/demoplayer.so -O demoplayer.so
  285. wget -q http://185.80.128.77/installer_files/hltv -O hltv
  286. wget -q http://185.80.128.77/installer_files/proxy.so -O proxy.so
  287. wget -q http://185.80.128.77/installer_files/director.so -O valve/dlls/director.so
  288. if [ ! -e "cstrike/addons/metamod/dlls/metamod_i386.so" ]; then
  289.     echo "Klaida: Nepavyko gauti metamod arba engine failo is serverio. Nutraukiama..."
  290.     exit 1
  291. fi
  292. sed -r -i s/gamedll_linux.+/"gamedll_linux \"addons\/metamod\/dlls\/metamod_i386.so\""/ cstrike/liblist.gam
  293. fi
  294. if [ $(($INSTALL_TYPE&$DPROTO)) != 0 ]; then
  295. echo "Instaling Reunion..."
  296. mkdir -p cstrike/addons
  297. mkdir -p cstrike/addons/reunion
  298. wget -q -P cstrike/addons/reunion http://185.80.128.77/installer_files/reunion_mm_i386.so
  299. wget -q -P cstrike http://185.80.128.77/installer_files/reunion.cfg
  300. if [ ! -e "cstrike/addons/reunion/reunion_mm_i386.so" ] || [ ! -e "cstrike/reunion.cfg" ]; then
  301.     echo "Klaida: Nepavyko gauti Reunion failu is serverio. Nutraukiama..."
  302.     exit 1
  303. fi
  304. echo "linux addons/reunion/reunion_mm_i386.so" >> cstrike/addons/metamod/plugins.ini
  305. fi
  306. if [ $(($INSTALL_TYPE&$AMXMODX)) != 0 ]; then
  307. echo "instaliuojamas Amxmodx..."
  308. wget -q -P cstrike http://185.80.128.77/installer_files/am ... ase.tar.gz
  309. if [ ! -e "cstrike/amxmodx-base.tar.gz" ]; then
  310.     echo "Klaida: Nepavyko gauti amxmodx failu is serverio. Nutraukiama..."
  311.     exit 1
  312. fi
  313. tar -xzf cstrike/amxmodx-base.tar.gz -C cstrike
  314. rm cstrike/amxmodx-base.tar.gz
  315. echo "linux addons/amxmodx/dlls/amxmodx_mm_i386.so" >> cstrike/addons/metamod/plugins.ini
  316. fi
  317. if [ $(($INSTALL_TYPE&$CHANGES)) != 0 ]; then
  318. echo "atliekami pakeitimai..."
  319. wget -q -O cstrike/_server.cfg http://185.80.128.77/installer_files/server.cfg
  320. if [ ! -e "cstrike/_server.cfg" ]; then
  321.     echo "Klaida: Nepavyko gauti server.cfg failo is serverio. Nutraukiama..."
  322.     exit 1
  323. fi
  324. rm cstrike/server.cfg
  325. mv cstrike/_server.cfg cstrike/server.cfg
  326.  
  327.  
  328. #echo "6153" >> build_version
  329.  
  330. echo "cd $INSTALL_DIR && screen -A -m -d -S $SERVER_DIR ./hlds_run -game cstrike +ip $(wget -T 5 -qO - installer_files/getip.php) +port 27015 +map cs_assault +maxplayers 15" >> start_line
  331.  
  332. echo "#!/bin/bash" >> start
  333. echo "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> start
  334. echo "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> start
  335. echo "  screen -dr $SERVER_DIR" >> start
  336. echo "else" >> start
  337. echo "  eval \$(cat start_line)" >> start
  338. echo "  sleep 1" >> start
  339. echo "  screen -dr $SERVER_DIR" >> start
  340. echo "fi" >> start
  341. echo "exit" >> start
  342. chmod +x start
  343.  
  344. echo "#!/bin/bash" >> stop
  345. echo "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> stop
  346. echo "SERVER_NAME=\$(cat cstrike/server.cfg | egrep \"hostname\\s+\\\"[^\\\"]+\\\"\" | sed \"s/hostname //\" | tr -d \"\\\"\\r\")" >> stop
  347. echo "STATUS=\"\"" >> stop
  348. echo "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> stop
  349. echo "  screen -S $SERVER_DIR -X stuff $(echo -e "quit\r")" >> stop
  350. echo "  STATUS=\"sustabdytas\"" >> stop
  351. echo "else" >> stop
  352. echo "  STATUS=\"nera ijungtas, tad negalima jo sustabdyti\"" >> stop
  353. echo "fi" >> stop
  354. echo 'echo "-------------------------------------------------------------------------------"' >> stop
  355. echo "echo \"Serveris \$SERVER_NAME \$STATUS\"" >> stop
  356. echo 'echo "-------------------------------------------------------------------------------"' >> stop
  357. echo "exit" >> stop
  358. chmod +x stop
  359.  
  360. echo "#!/bin/bash" >> restart
  361. echo "SESSION=\$(screen -ls | egrep -o -e [0-9]+\\.$SERVER_DIR | sed -r -e \"s/[0-9]+\\.//\")" >> restart
  362. echo "SERVER_NAME=\$(cat cstrike/server.cfg | egrep \"hostname\\s+\\\"[^\\\"]+\\\"\" | sed \"s/hostname //\" | tr -d \"\\\"\\r\")" >> restart
  363. echo "STATUS=\"\"" >> restart
  364. echo "if [ \"\$SESSION\" == \"$SERVER_DIR\" ]; then" >> restart
  365. echo "  screen -S $SERVER_DIR -X stuff $(echo -e "restart\r")" >> restart
  366. echo "  STATUS=\"perkraunamas...\"" >> restart
  367. echo "else" >> restart
  368. echo "  STATUS=\"nera ijungtas, tad negalima jo perkrauti\"" >> restart
  369. echo "fi" >> restart
  370. echo 'echo "-------------------------------------------------------------------------------"' >> restart
  371. echo "echo \"Serveris \$SERVER_NAME \$STATUS\"" >> restart
  372. echo 'echo "-------------------------------------------------------------------------------"' >> restart
  373. echo "exit" >> restart
  374. chmod +x restart
  375.  
  376. sed -i s/"if test \$retval -eq 0 && test -z \"\$RESTART\" ; then"/"if test \$retval -eq 0 ; then"/ hlds_run
  377. sed -i s/"debugcore \$retval"/"debugcore \$retval\n\n\t\t\tif test -z \"\$RESTART\" ; then\n\t\t\t\tbreak; # no need to restart on crash\n\t\t\tfi"/ hlds_run
  378. sed -i s/"if test -n \"\$DEBUG\" ; then"/"if test \"\$DEBUG\" -eq 1; then"/ hlds_run
  379.  
  380. if [ ! -e "$INSTALL_DIR/steam_appid.txt" ]; then
  381. echo "10" >> steam_appid.txt
  382. fi
  383.  
  384. mkdir steamcmd
  385. echo "../steamcmd/steamcmd.sh +login anonymous +force_install_dir $INSTALL_DIR +app_update 90 -beta beta validate +quit" > steamcmd/steamcmd.sh
  386. chmod +x steamcmd/steamcmd.sh
  387. fi
  388.  
  389. echo "-------------------------------------------------------------------------------"
  390. echo "Serveris instaliuotas direktorijoje '$INSTALL_DIR'"
  391. if [ $(($INSTALL_TYPE&$CHANGES)) != 0 ]; then
  392. echo "$INSTALL_DIR/start - paleisti serveri.
  393. $INSTALL_DIR/stop - sustabdyti serveri.
  394. $INSTALL_DIR/restart - perkrauti serveri
  395. $INSTALL_DIR/update - atnaujinti serveri"
  396. fi
  397. if $BIT64_CHECK && ! $LIB_CHECK; then
  398.                 apt-get -y install lib32gcc1
  399.             fi
  400. echo "-------------------------------------------------------------------------------"
  401.  
  402. exit 0
  403. # Counter Strike 1.6 serverio instaliacijos skriptas
  404. # Autorius: aaarnas
  405. # amxmodx.lt
  406.  
  407.  
  408.  


Pakeiciam i sita ir turi veikti (nebandziau)



_________________
Paveikslėlis
Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #249  StandartinėParašytas: 2018 Rgp 12 20:40 
Jau perkopė 10 žinučių ribą !

Užsiregistravo: 2018 Bal 30 06:32
Pranešimai: 19
Karma: 0
Jeigu pakeiti tuomet gaunam šitą
Instaliacijos pabaigoje ;)

-------------------------------------------------------------------------------
instaliuojamas Metamod...
Instaling Reunion...
instaliuojamas Amxmodx...
Klaida: Nepavyko gauti amxmodx failu is serverio. Nutraukiama...
root@699711:~#



Atsijungęs
 Aprašymas  
 
 Pranešimo tema: Re: [Pamoka] ReHLDS Counter-Strike 1.6 serverio instaliacija
Žinutės numeris: #250  StandartinėParašytas: 2018 Rgp 12 20:56 
Moderatorius
Vartotojo avataras

Užsiregistravo: 2012 Rgp 03 01:12
Pranešimai: 4538
Karma: 127

Miestas: Vilnius
KQLYpros rašė:
Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)

aa nes faile pamirsau pakeist ip turbut

-- 2018 Rgp 12 21:56 --

KQLYpros rašė:
Na dabar atsiunčia sh'a faila bet instaliuoti tas pats ;)

aa nes faile pamirsau pakeist ip turbut



_________________
Paveikslėlis
Paveikslėlis
Paveikslėlis
Atsijungęs
 Aprašymas  
 
Rodyti paskutinius pranešimus:  Rūšiuoti pagal  
 Puslapis 2531 [ 303 pranešimai(ų) ]  Eiti į Ankstesnis  1 ... 22, 23, 24, 25, 26, 27, 28 ... 31  Kitas

Visos datos yra UTC + 2 valandos


Dabar prisijungę

Vartotojai naršantys šį forumą: Registruotų vartotojų nėra ir 1 svečias


Jūs negalite kurti naujų temų šiame forume
Jūs negalite atsakinėti į temas šiame forume
Jūs negalite redaguoti savo pranešimų šiame forume
Jūs negalite trinti savo pranešimų šiame forume
Jūs negalite prikabinti failų šiame forume

Ieškoti:
Pereiti į: